summaryrefslogtreecommitdiffstats
path: root/.github/workflows/scripts/windows-in-container-build.sh
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2019-10-18 09:25:14 -0700
committerGravatar Dirk Hohndel <dirk@hohndel.org>2019-10-18 20:46:01 -0700
commit6b334ac7d972fedfb8ccb1287e5d661e321325cb (patch)
tree4df94fd51a00f0566b33a537ad2c177cf1619ee0 /.github/workflows/scripts/windows-in-container-build.sh
parent2f1997fb3ab1469979b37b883933bd412904ff60 (diff)
downloadsubsurface-6b334ac7d972fedfb8ccb1287e5d661e321325cb.tar.gz
GitHub Actions: improve naming and location of files
Just to make things a little more consistent. Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to '.github/workflows/scripts/windows-in-container-build.sh')
-rw-r--r--.github/workflows/scripts/windows-in-container-build.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/.github/workflows/scripts/windows-in-container-build.sh b/.github/workflows/scripts/windows-in-container-build.sh
new file mode 100644
index 000000000..1993f98bc
--- /dev/null
+++ b/.github/workflows/scripts/windows-in-container-build.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+# this gets executed inside the container when building a Windows
+# installer on Travis
+#
+# working directory is assumed to be the directory including all the
+# source directories (subsurface, googlemaps, grantlee, etc)
+# in order to be compatible with the assumed layout in the MXE script, we
+# need to create the secondary build directory
+
+set -x
+set -e
+
+mkdir -p win32
+cd win32
+
+# build Subsurface and then smtk2ssrf
+export MXEBUILDTYPE=i686-w64-mingw32.shared
+bash -ex ../subsurface/packaging/windows/mxe-based-build.sh installer
+
+# the strange two step move is in order to get predictable names to use
+# in the publish step of the GitHub Action
+mv subsurface/subsurface.exe* ${GITHUB_WORKSPACE}/
+mv subsurface/subsurface-*.exe ${GITHUB_WORKSPACE}/subsurface-installer.exe
+
+bash -ex ../subsurface/packaging/windows/smtk2ssrf-mxe-build.sh -a -i
+
+# the strange two step move is in order to get predictable names to use
+# in the publish step of the GitHub Action
+mv smtk-import/smtk2ssrf.exe ${GITHUB_WORKSPACE}/
+mv smtk-import/smtk2ssrf*.exe ${GITHUB_WORKSPACE}/smtk2ssrf-installer.exe